Permalink
Browse files

Travis-CI: update ruby versions and fix builds

Install libgmp-dev as a workaround for the missing dependency of rvm.
See also: rvm/rvm#3509
  • Loading branch information...
1 parent b48156e commit a1c306dbe6cfdfc57cbb9dc63799ca7f640576bc @larskanis larskanis committed Apr 8, 2016
Showing with 10 additions and 5 deletions.
  1. +10 −5 .travis.yml
View
@@ -1,6 +1,12 @@
+sudo: false
+addons:
+ apt:
+ packages:
+ - libgmp-dev # this is needed for ruby-2.1.10 and ruby-head on linux
language: ruby
+before_install:
+ - gem install bundler
script: bundle exec rake test
-before_install: gem install bundler
os:
- linux
- osx
@@ -9,8 +15,8 @@ rvm:
- "1.8.7"
- "2.0.0"
- "2.1"
- - "2.2"
- - "2.3"
+ - "2.2.3"
+ - "2.3.0"
- "ruby-head"
- "rbx"
- "system"
@@ -21,8 +27,7 @@ matrix:
allow_failures:
- rvm: system
- os: osx
- rvm: "2.2"
- rvm: "2.3"
+ rvm: "2.3.0"
- os: osx
rvm: ruby-head
- rvm: "rbx"

0 comments on commit a1c306d

Please sign in to comment.